Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Delete Attachment Folder DELETEUpdate Work Order Attachment PUTList Work Order Attachments GETCreate Attachment Folder POSTCreate Work Order Attachment POST

Resources

ExecutionAttachments

List Work Order Attachments


List attachment folders and files associated with the work order.

GET
/api/rest/v2/workorders/{work_order_id}/attachments

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

Query Parameters

acting_user_id?integer

ID of the user acting on behalf of another user

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/attachments"
{
  "correlation_id": "string_value",
  "actions": [],
  "sum": {
    "unreviewed": 0
  },
  "metadata": {
    "total": 100,
    "page": 0,
    "pages": 5,
    "per_page": 20
  },
  "results": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Update Work Order Attachment PUT

Previous Page

Create Attachment Folder POST

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/attachments"